This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1259017 - FTBFS in rawhide and F23
FTBFS in rawhide and F23
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: apache-poi (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 14:47 EDT by gil cattaneo
Modified: 2015-10-03 13:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: apache-poi-3.12-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 13:59:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix FTBFS (10.92 KB, patch)
2015-09-01 15:44 EDT, gil cattaneo
no flags Details | Diff
fix FTBFS (10.92 KB, patch)
2015-09-01 15:50 EDT, gil cattaneo
no flags Details | Diff
fix FTBFS (10.94 KB, patch)
2015-09-01 18:30 EDT, gil cattaneo
no flags Details | Diff
fix FTBFS (10.94 KB, patch)
2015-09-01 18:31 EDT, gil cattaneo
no flags Details | Diff

  None (edit)
Description gil cattaneo 2015-09-01 14:47:14 EDT
Description of problem:
Package apache-poi fails to build from source in rawhide and F23.

Version-Release number of selected component (if applicable):
3.12-1

Steps to Reproduce:
koji build --scratch f24 apache-poi-3.12-1.fc23.src.rpm


Please, consider upgrading apache-poi also on F22
Comment 1 gil cattaneo 2015-09-01 15:44:08 EDT
Created attachment 1069120 [details]
fix FTBFS

- fix license field
- obsoletes manual sub-package
Comment 2 gil cattaneo 2015-09-01 15:50:39 EDT
Created attachment 1069123 [details]
fix FTBFS

- fix license field
- obsoletes manual sub-package
- disable java8doc doclint
Comment 3 gil cattaneo 2015-09-01 18:30:26 EDT
Created attachment 1069235 [details]
fix FTBFS

- fix javadoc build location
Comment 4 gil cattaneo 2015-09-01 18:31:01 EDT
Created attachment 1069236 [details]
fix FTBFS

- fix javadoc build location
Comment 5 gil cattaneo 2015-09-01 19:03:18 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10918918
Comment 6 Mat Booth 2015-09-02 05:57:43 EDT
Hi, thanks for the patch.

Builds for f23 and f24 are in-progress now.
Comment 7 Fedora Update System 2015-09-02 06:30:33 EDT
apache-poi-3.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14842
Comment 8 Fedora Update System 2015-09-03 05:52:48 EDT
apache-poi-3.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update apache-poi'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14842
Comment 9 Fedora Update System 2015-10-03 13:59:45 EDT
apache-poi-3.12-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.